# mdtraj.load_hoomdxml

mdtraj.load_hoomdxml(filename, top=None)

  Load a single conformation from an HOOMD-Blue XML file.

  For more information on this file format, see: http://codeblue.umich.edu/hoomd-blue/doc/page_xml_file_format.html Notably, all node names and attributes are in all lower case. HOOMD-Blue does not contain residue and chain information explicitly. For this reason, chains will be found by looping over all the bonds and finding what is bonded to what. Each chain consisists of exactly one residue.

  Parameters:

    - filename (path-like) – The path on disk to the XML file

    - top (None) – This argumet is ignored

  Returns:

    trajectory – The resulting trajectory, as an md.Trajectory object, with corresponding Topology.

  Return type:

    md.Trajectory

  Notes

  This function requires the NetworkX python package.